Subject: Re: gnu-win32: bad path from make
From: [email-masked] (Mark Hadfield)

26 Feb 1998 18:05:32 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Eyal Lebedinsky" <[email-masked]>
Cc: "Gnu-Win32 Mailing List" <[email-masked]>

I reccommend you use the Gnu-Win32 (cygwin) version of make.

I experimented a month or two ago with native win32 versions (I tried the
one compiled by Jan-Jaap van der Heijden and also compiled the source with
Visual C++). I ran into the problem you describe. I think it was related to
case-sensitivity of environment names: win32 make expects to find a "Path"
environment variable, not "PATH" or "path".

----
Mark Hadfield,  [email-masked]  http://www.niwa.cri.nz/~hadfield/
National Institute for Water and Atmospheric Research
PO Box 14-901, Wellington, New Zealand

-----Original Message-----
From: Eyal Lebedinsky <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Wednesday 25 February 1998 08:28
Subject: gnu-win32: bad path from make

>I use this to set my mingw32 env:
> set PATH=d:\mingw32\bin;%SVPATH%
>
>If I then inspect the path that make passes to commands (say, have 'set'
>added to my rule to display the env) I find something like:
> PATH=ath=d;\mingw32\bin;d:\bat;d:\bin;...
>
>As you see, the leading part is destroyed.
>
>Any idea what is going on? So far I simply added a dummy as bait:
> set PATH=d:\bat;d:\mingw32\bin;%SVPATH%
>
>but it is an ugly solution...
>
>--
>Eyal Lebedinsky ([email-masked])
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".